/**
 * 这是所有模块公用业务逻辑的服务
 */
export default class CommonService {
	constructor(AjaxService) {
		Object.assign(this, { AjaxService })
		this.name = 'CommonService'
	}
	/* 首页导航模块商品列表 */
	GetHomeClassify (data = {}) {
		return this.AjaxService.get({ url:'/home/classify', data, isLoading: true })
	}
	/* 首页初始化 */
	GetHomeModulesDataInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/modules', data, isLoading: false })
	}
	/* 首页热门推荐 */
	GetHomeRecommendInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/recommend', data, isLoading: false })
	}
	/* 获取其他服务信息 */
	QueryAfterSale (data = {}) {
		return this.AjaxService.get({ url:'/home/afterSale', data, isLoading: false })
	}
	/* 首页金刚区分类 */
	GetHomeInit (data = {}) {
		return this.AjaxService.get({ url:'/home/init', data, isLoading: false })
	}
	/* 首页金刚区二级分类 */
	GetHomeSubMenu (data = {}) {
		return this.AjaxService.get({ url:'/home/subMenu', data, isLoading: false })
	}
	/* 首页楼层 */
	GetHomeFloorInfo (data = {}) {
		return this.AjaxService.get({ url:'/home/floor', data, isLoading: false })
	}
	
}
